ByteChef LogoByteChef
Frontend (Signing Key JWT)User Workflows

Get automation workflows for particular external user

Get automation workflows for particular external user.

GET
/automation/workflows

Authorization

jwtBearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

X-Environment?string

The environment.

Value in

  • "DEVELOPMENT"
  • "STAGING"
  • "PRODUCTION"

Response Body

application/json

curl -X GET "https://example.com/automation/workflows"
[  {    "createdDate": "2019-08-24T14:15:22Z",    "description": "string",    "definition": "string",    "lastModifiedDate": "2019-08-24T14:15:22Z",    "enabled": true,    "label": "string",    "workflowUuid": "string",    "workflowVersion": 0,    "kind": "COPY",    "automationWorkflowUuid": "string",    "copiedFromWorkflowUuid": "string",    "dangling": true,    "components": [      {        "name": "string",        "title": "string",        "icon": "string",        "connectionRequired": true,        "integrationId": 0      }    ],    "inputs": [      {        "name": "string",        "label": "string",        "type": "string",        "required": true      }    ],    "inputValues": {},    "attentionReason": "string"  }]

How is this guide?